- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TEventTriggeredCallback

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCallback
                |
                --TTriggeredCallback
                   |
                   --TEventTriggeredCallback

TEventTriggeredCallback Class

Triggers a new callback request when a particular EventName on a control with ID given by ControlID is raised.

The default action of the event on the client-side can be prevented when PreventDefaultAction is set to true.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected string | getClientClassName ()
string | getEventName ()
boolean | getPreventDefaultAction ()
protected array | getTriggerOptions ()
void | render ( THtmlWriter $writer) Registers the javascript code for initializing the active control.
void | setEventName ( string $value) Sets the client-side event name that fires the callback request.
void | setPreventDefaultAction ( boolean $value)

Methods Inherited From TTriggeredCallback
TTriggeredCallback::getControlID(), TTriggeredCallback::getTargetControl(), TTriggeredCallback::getTriggerOptions(), TTriggeredCallback::setControlID()

Methods Inherited From TCallback
TCallback::getActiveControl(), TCallback::getClientSide(), TCallback::onCallback(), TCallback::raiseCallbackEvent()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## getClientClassName

protected string getClientClassName | ()

Output
string | corresponding javascript class name for TEventTriggeredCallback.
Exception

## getEventName

public string getEventName | ()

Output
string | The client-side event name the trigger listens to.
Exception

## getPreventDefaultAction

public boolean getPreventDefaultAction | ()

Output
boolean | true to prevent/stop default event action.
Exception

## getTriggerOptions

protected array getTriggerOptions | ()

Output
array | list of timer options for client-side.
Exception

## render

public void render | (THtmlWriter $writer )

Registers the javascript code for initializing the active control.

Input
THtmlWriter | $writer | the renderer.
Output
Exception

## setEventName

public void setEventName | (string $value )

Sets the client-side event name that fires the callback request.

Input
string | $value | The client-side event name the trigger listens to.
Output
Exception

## setPreventDefaultAction

public void setPreventDefaultAction | (boolean $value )

Input
boolean | $value | true to prevent/stop default event action.
Output
Exception